Index: src/data/dictionary.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/dictionary.c,v
retrieving revision 1.13
diff -U3 -r1.13 dictionary.c
--- src/data/dictionary.c	2 Jul 2006 06:19:24 -0000	1.13
+++ src/data/dictionary.c	4 Jul 2006 06:05:05 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 
 #include "dictionary.h"
 
@@ -90,7 +91,7 @@
   struct dictionary *d;
   size_t i;
 
-  assert (s != NULL);
+  Assert (s != NULL);
 
   d = dict_create ();
 
@@ -149,7 +150,7 @@
      Others are necessarily cleared by deleting all the variables.*/
   int i;
 
-  assert (d != NULL);
+  Assert (d != NULL);
 
   for (i = 0; i < d->var_cnt; i++) 
     {
@@ -184,7 +185,7 @@
 {
   int i;
   
-  assert (d != NULL);
+  Assert (d != NULL);
   
   for (i = 0; i < d->var_cnt; i++)
     var_clear_aux (d->var[i]);
@@ -206,7 +207,7 @@
 size_t
 dict_get_var_cnt (const struct dictionary *d) 
 {
-  assert (d != NULL);
+  Assert (d != NULL);
 
   return d->var_cnt;
 }
@@ -217,8 +218,8 @@
 struct variable *
 dict_get_var (const struct dictionary *d, size_t idx) 
 {
-  assert (d != NULL);
-  assert (idx < d->var_cnt);
+  Assert (d != NULL);
+  Assert (idx < d->var_cnt);
 
   return d->var[idx];
 }
@@ -235,10 +236,10 @@
   size_t count;
   size_t i;
   
-  assert (d != NULL);
-  assert (vars != NULL);
-  assert (cnt != NULL);
-  assert ((exclude_classes & ~((1u << DC_ORDINARY)
+  Assert (d != NULL);
+  Assert (vars != NULL);
+  Assert (cnt != NULL);
+  Assert ((exclude_classes & ~((1u << DC_ORDINARY)
                                | (1u << DC_SYSTEM)
                                | (1u << DC_SCRATCH))) == 0);
   
@@ -252,7 +253,7 @@
   for (i = 0; i < d->var_cnt; i++)
     if (!(exclude_classes & (1u << dict_class_from_id (d->var[i]->name))))
       (*vars)[(*cnt)++] = d->var[i];
-  assert (*cnt == count);
+  Assert (*cnt == count);
 }
 
 
@@ -264,12 +265,12 @@
 {
   struct variable *v;
 
-  assert (d != NULL);
-  assert (name != NULL);
+  Assert (d != NULL);
+  Assert (name != NULL);
 
-  assert (width >= 0 && width <= MAX_STRING);
+  Assert (width >= 0 && width <= MAX_STRING);
 
-  assert (var_is_plausible_name(name,0));
+  Assert (var_is_plausible_name(name,0));
     
   /* Make sure there's not already a variable by that name. */
   if (dict_lookup_var (d, name) != NULL)
@@ -329,7 +330,7 @@
 dict_create_var_assert (struct dictionary *d, const char *name, int width)
 {
   struct variable *v = dict_create_var (d, name, width);
-  assert (v != NULL);
+  Assert (v != NULL);
   return v;
 }
 
@@ -343,12 +344,12 @@
 {
   struct variable *nv;
 
-  assert (d != NULL);
-  assert (ov != NULL);
-  assert (name != NULL);
+  Assert (d != NULL);
+  Assert (ov != NULL);
+  Assert (name != NULL);
 
-  assert (strlen (name) >= 1);
-  assert (strlen (name) <= LONG_NAME_LEN);
+  Assert (strlen (name) >= 1);
+  Assert (strlen (name) <= LONG_NAME_LEN);
 
   nv = dict_create_var (d, name, ov->width);
   if (nv == NULL)
@@ -382,7 +383,7 @@
                        const char *name)
 {
   struct variable *v = dict_clone_var (d, ov, name);
-  assert (v != NULL);
+  Assert (v != NULL);
   return v;
 }
 
@@ -393,8 +394,8 @@
 {
   struct variable v;
   
-  assert (d != NULL);
-  assert (name != NULL);
+  Assert (d != NULL);
+  Assert (name != NULL);
 
   str_copy_trunc (v.name, sizeof v.name, name);
   return hsh_find (d->name_tab, &v);
@@ -406,7 +407,7 @@
 dict_lookup_var_assert (const struct dictionary *d, const char *name)
 {
   struct variable *v = dict_lookup_var (d, name);
-  assert (v != NULL);
+  Assert (v != NULL);
   return v;
 }
 
@@ -415,8 +416,8 @@
 bool
 dict_contains_var (const struct dictionary *d, const struct variable *v)
 {
-  assert (d != NULL);
-  assert (v != NULL);
+  Assert (d != NULL);
+  Assert (v != NULL);
 
   return v->index >= 0 && v->index < d->var_cnt && d->var[v->index] == v;
 }
@@ -449,9 +450,9 @@
 {
   size_t i;
 
-  assert (d != NULL);
-  assert (v != NULL);
-  assert (dict_contains_var (d, v));
+  Assert (d != NULL);
+  Assert (v != NULL);
+  Assert (dict_contains_var (d, v));
 
   /* Delete aux data. */
   var_clear_aux (v);
@@ -491,8 +492,8 @@
 {
   /* FIXME: this can be done in O(count) time, but this algorithm
      is O(count**2). */
-  assert (d != NULL);
-  assert (count == 0 || vars != NULL);
+  Assert (d != NULL);
+  Assert (count == 0 || vars != NULL);
 
   while (count-- > 0)
     dict_delete_var (d, *vars++);
@@ -506,7 +507,7 @@
 
   /* FIXME: this can be done in O(count) time, but this algorithm
      is O(count**2). */
-  assert (d != NULL);
+  Assert (d != NULL);
 
   for (i = 0; i < d->var_cnt; )
     if (dict_class_from_id (d->var[i]->name) == DC_SCRATCH)
@@ -525,10 +526,10 @@
   size_t min_idx, max_idx;
   size_t i;
   
-  assert (d != NULL);
-  assert (v != NULL);
-  assert (dict_contains_var (d, v));
-  assert (new_index < d->var_cnt);
+  Assert (d != NULL);
+  Assert (v != NULL);
+  Assert (dict_contains_var (d, v));
+  Assert (new_index < d->var_cnt);
 
   move_element (d->var, d->var_cnt, sizeof *d->var, v->index, new_index);
 
@@ -549,22 +550,22 @@
   struct variable **new_var;
   size_t i;
   
-  assert (d != NULL);
-  assert (count == 0 || order != NULL);
-  assert (count <= d->var_cnt);
+  Assert (d != NULL);
+  Assert (count == 0 || order != NULL);
+  Assert (count <= d->var_cnt);
 
   new_var = xnmalloc (d->var_cnt, sizeof *new_var);
   memcpy (new_var, order, count * sizeof *new_var);
   for (i = 0; i < count; i++) 
     {
-      assert (d->var[order[i]->index] != NULL);
+      Assert (d->var[order[i]->index] != NULL);
       d->var[order[i]->index] = NULL;
       order[i]->index = i;
     }
   for (i = 0; i < d->var_cnt; i++)
     if (d->var[i] != NULL)
       {
-        assert (count < d->var_cnt);
+        Assert (count < d->var_cnt);
         new_var[count] = d->var[i];
         new_var[count]->index = count;
         count++;
@@ -580,12 +581,12 @@
 dict_rename_var (struct dictionary *d, struct variable *v,
                  const char *new_name) 
 {
-  assert (d != NULL);
-  assert (v != NULL);
-  assert (new_name != NULL);
-  assert (var_is_plausible_name (new_name, false));
-  assert (dict_contains_var (d, v));
-  assert (!compare_var_names (v->name, new_name, NULL)
+  Assert (d != NULL);
+  Assert (v != NULL);
+  Assert (new_name != NULL);
+  Assert (var_is_plausible_name (new_name, false));
+  Assert (dict_contains_var (d, v));
+  Assert (!compare_var_names (v->name, new_name, NULL)
           || dict_lookup_var (d, new_name) == NULL);
 
   hsh_force_delete (d->name_tab, v);
@@ -611,17 +612,17 @@
   size_t i;
   bool success = true;
 
-  assert (d != NULL);
-  assert (count == 0 || vars != NULL);
-  assert (count == 0 || new_names != NULL);
+  Assert (d != NULL);
+  Assert (count == 0 || vars != NULL);
+  Assert (count == 0 || new_names != NULL);
 
   /* Remove the variables to be renamed from the name hash,
      save their names, and rename them. */
   old_names = xnmalloc (count, sizeof *old_names);
   for (i = 0; i < count; i++) 
     {
-      assert (d->var[vars[i]->index] == vars[i]);
-      assert (var_is_plausible_name (new_names[i], false));
+      Assert (d->var[vars[i]->index] == vars[i]);
+      Assert (var_is_plausible_name (new_names[i], false));
       hsh_force_delete (d->name_tab, vars[i]);
       old_names[i] = xstrdup (vars[i]->name);
       strcpy (vars[i]->name, new_names[i]);
@@ -631,10 +632,10 @@
      checking for conflicts. */
   for (i = 0; i < count; i++)
     {
-      assert (new_names[i] != NULL);
-      assert (*new_names[i] != '\0');
-      assert (strlen (new_names[i]) >= 1);
-      assert (strlen (new_names[i]) <= LONG_NAME_LEN);
+      Assert (new_names[i] != NULL);
+      Assert (*new_names[i] != '\0');
+      Assert (strlen (new_names[i]) >= 1);
+      Assert (strlen (new_names[i]) <= LONG_NAME_LEN);
 
       if (hsh_insert (d->name_tab, vars[i]) != NULL)
         {
@@ -678,8 +679,8 @@
 struct variable *
 dict_get_weight (const struct dictionary *d) 
 {
-  assert (d != NULL);
-  assert (d->weight == NULL || dict_contains_var (d, d->weight));
+  Assert (d != NULL);
+  Assert (d->weight == NULL || dict_contains_var (d, d->weight));
   
   return d->weight;
 }
@@ -693,8 +694,8 @@
 dict_get_case_weight (const struct dictionary *d, const struct ccase *c, 
 		      int *warn_on_invalid)
 {
-  assert (d != NULL);
-  assert (c != NULL);
+  Assert (d != NULL);
+  Assert (c != NULL);
 
   if (d->weight == NULL)
     return 1.0;
@@ -718,9 +719,9 @@
 void
 dict_set_weight (struct dictionary *d, struct variable *v) 
 {
-  assert (d != NULL);
-  assert (v == NULL || dict_contains_var (d, v));
-  assert (v == NULL || v->type == NUMERIC);
+  Assert (d != NULL);
+  Assert (v == NULL || dict_contains_var (d, v));
+  Assert (v == NULL || v->type == NUMERIC);
 
   d->weight = v;
 }
@@ -730,8 +731,8 @@
 struct variable *
 dict_get_filter (const struct dictionary *d) 
 {
-  assert (d != NULL);
-  assert (d->filter == NULL || dict_contains_var (d, d->filter));
+  Assert (d != NULL);
+  Assert (d->filter == NULL || dict_contains_var (d, d->filter));
   
   return d->filter;
 }
@@ -741,8 +742,8 @@
 void
 dict_set_filter (struct dictionary *d, struct variable *v)
 {
-  assert (d != NULL);
-  assert (v == NULL || dict_contains_var (d, v));
+  Assert (d != NULL);
+  Assert (v == NULL || dict_contains_var (d, v));
 
   d->filter = v;
 }
@@ -752,7 +753,7 @@
 size_t
 dict_get_case_limit (const struct dictionary *d) 
 {
-  assert (d != NULL);
+  Assert (d != NULL);
 
   return d->case_limit;
 }
@@ -762,7 +763,7 @@
 void
 dict_set_case_limit (struct dictionary *d, size_t case_limit) 
 {
-  assert (d != NULL);
+  Assert (d != NULL);
 
   d->case_limit = case_limit;
 }
@@ -773,7 +774,7 @@
 int
 dict_get_next_value_idx (const struct dictionary *d) 
 {
-  assert (d != NULL);
+  Assert (d != NULL);
 
   return d->next_value_idx;
 }
@@ -783,7 +784,7 @@
 size_t
 dict_get_case_size (const struct dictionary *d) 
 {
-  assert (d != NULL);
+  Assert (d != NULL);
 
   return sizeof (union value) * dict_get_next_value_idx (d);
 }
@@ -992,7 +993,7 @@
 struct variable *const *
 dict_get_split_vars (const struct dictionary *d) 
 {
-  assert (d != NULL);
+  Assert (d != NULL);
   
   return d->split;
 }
@@ -1001,7 +1002,7 @@
 size_t
 dict_get_split_cnt (const struct dictionary *d) 
 {
-  assert (d != NULL);
+  Assert (d != NULL);
 
   return d->split_cnt;
 }
@@ -1011,8 +1012,8 @@
 dict_set_split_vars (struct dictionary *d,
                      struct variable *const *split, size_t cnt)
 {
-  assert (d != NULL);
-  assert (cnt == 0 || split != NULL);
+  Assert (d != NULL);
+  Assert (cnt == 0 || split != NULL);
 
   d->split_cnt = cnt;
   d->split = xnrealloc (d->split, cnt, sizeof *d->split);
@@ -1024,7 +1025,7 @@
 const char *
 dict_get_label (const struct dictionary *d) 
 {
-  assert (d != NULL);
+  Assert (d != NULL);
 
   return d->label;
 }
@@ -1034,7 +1035,7 @@
 void
 dict_set_label (struct dictionary *d, const char *label) 
 {
-  assert (d != NULL);
+  Assert (d != NULL);
 
   free (d->label);
   if (label == NULL)
@@ -1054,7 +1055,7 @@
 const char *
 dict_get_documents (const struct dictionary *d) 
 {
-  assert (d != NULL);
+  Assert (d != NULL);
 
   return d->documents;
 }
@@ -1064,7 +1065,7 @@
 void
 dict_set_documents (struct dictionary *d, const char *documents)
 {
-  assert (d != NULL);
+  Assert (d != NULL);
 
   free (d->documents);
   if (documents == NULL)
@@ -1084,11 +1085,11 @@
   struct vector *vector;
   size_t i;
 
-  assert (d != NULL);
-  assert (name != NULL);
-  assert (var_is_plausible_name (name, false));
-  assert (var != NULL);
-  assert (cnt > 0);
+  Assert (d != NULL);
+  Assert (name != NULL);
+  Assert (var_is_plausible_name (name, false));
+  Assert (var != NULL);
+  Assert (cnt > 0);
   
   if (dict_lookup_vector (d, name) != NULL)
     return false;
@@ -1100,7 +1101,7 @@
   vector->var = xnmalloc (cnt, sizeof *var);
   for (i = 0; i < cnt; i++)
     {
-      assert (dict_contains_var (d, var[i]));
+      Assert (dict_contains_var (d, var[i]));
       vector->var[i] = var[i];
     }
   vector->cnt = cnt;
@@ -1113,8 +1114,8 @@
 const struct vector *
 dict_get_vector (const struct dictionary *d, size_t idx) 
 {
-  assert (d != NULL);
-  assert (idx < d->vector_cnt);
+  Assert (d != NULL);
+  Assert (idx < d->vector_cnt);
 
   return d->vector[idx];
 }
@@ -1123,7 +1124,7 @@
 size_t
 dict_get_vector_cnt (const struct dictionary *d) 
 {
-  assert (d != NULL);
+  Assert (d != NULL);
 
   return d->vector_cnt;
 }
@@ -1135,8 +1136,8 @@
 {
   size_t i;
 
-  assert (d != NULL);
-  assert (name != NULL);
+  Assert (d != NULL);
+  Assert (name != NULL);
 
   for (i = 0; i < d->vector_cnt; i++)
     if (!strcasecmp (d->vector[i]->name, name))
@@ -1150,7 +1151,7 @@
 {
   size_t i;
   
-  assert (d != NULL);
+  Assert (d != NULL);
 
   for (i = 0; i < d->vector_cnt; i++) 
     {
Index: src/data/file-handle-def.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/file-handle-def.c,v
retrieving revision 1.5
diff -U3 -r1.5 file-handle-def.c
--- src/data/file-handle-def.c	17 Apr 2006 01:54:15 -0000	1.5
+++ src/data/file-handle-def.c	4 Jul 2006 06:05:05 -0000
@@ -18,6 +18,8 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
+
 #include "file-handle-def.h"
 #include <libpspp/message.h>
 #include <errno.h>
@@ -200,7 +202,7 @@
                 const struct fh_properties *properties)
 {
   struct file_handle *handle;
-  assert (fh_from_name (handle_name) == NULL);
+  Assert (fh_from_name (handle_name) == NULL);
   handle = create_handle (handle_name, FH_REF_FILE);
   handle->file_name = xstrdup (file_name);
   handle->identity = fn_get_identity (file_name);
@@ -255,8 +257,8 @@
 static const char *
 mode_name (const char *mode) 
 {
-  assert (mode != NULL);
-  assert (mode[0] == 'r' || mode[0] == 'w');
+  Assert (mode != NULL);
+  Assert (mode[0] == 'r' || mode[0] == 'w');
 
   return mode[0] == 'r' ? "reading" : "writing";
 }
@@ -286,13 +288,13 @@
 fh_open (struct file_handle *h, enum fh_referent mask UNUSED,
          const char *type, const char *mode) 
 {
-  assert (h != NULL);
-  assert ((fh_get_referent (h) & mask) != 0);
-  assert (type != NULL);
-  assert (mode != NULL);
-  assert (mode[0] == 'r' || mode[0] == 'w');
-  assert (mode[1] == 's' || mode[1] == 'e');
-  assert (mode[2] == '\0');
+  Assert (h != NULL);
+  Assert ((fh_get_referent (h) & mask) != 0);
+  Assert (type != NULL);
+  Assert (mode != NULL);
+  Assert (mode[0] == 'r' || mode[0] == 'w');
+  Assert (mode[1] == 's' || mode[1] == 'e');
+  Assert (mode[2] == '\0');
 
   if (h->open_cnt != 0) 
     {
@@ -322,7 +324,7 @@
     {
       h->type = type;
       strcpy (h->open_mode, mode);
-      assert (h->aux == NULL);
+      Assert (h->aux == NULL);
     }
   h->open_cnt++;
 
@@ -340,12 +342,12 @@
 int
 fh_close (struct file_handle *h, const char *type, const char *mode)
 {
-  assert (h != NULL);
-  assert (h->open_cnt > 0);
-  assert (type != NULL);
-  assert (!strcmp (type, h->type));
-  assert (mode != NULL);
-  assert (!strcmp (mode, h->open_mode));
+  Assert (h != NULL);
+  Assert (h->open_cnt > 0);
+  Assert (type != NULL);
+  Assert (!strcmp (type, h->type));
+  Assert (mode != NULL);
+  Assert (!strcmp (mode, h->open_mode));
 
   if (--h->open_cnt == 0) 
     {
@@ -389,7 +391,7 @@
 const char *
 fh_get_file_name (const struct file_handle *handle) 
 {
-  assert (handle->referent == FH_REF_FILE);
+  Assert (handle->referent == FH_REF_FILE);
   return handle->file_name;
 }
 
@@ -397,7 +399,7 @@
 enum fh_mode
 fh_get_mode (const struct file_handle *handle) 
 {
-  assert (handle->referent == FH_REF_FILE);
+  Assert (handle->referent == FH_REF_FILE);
   return handle->mode;
 }
 
@@ -405,7 +407,7 @@
 size_t
 fh_get_record_width (const struct file_handle *handle)
 {
-  assert (handle->referent & (FH_REF_FILE | FH_REF_INLINE));
+  Assert (handle->referent & (FH_REF_FILE | FH_REF_INLINE));
   return handle->record_width;
 }
 
@@ -415,7 +417,7 @@
 size_t
 fh_get_tab_width (const struct file_handle *handle) 
 {
-  assert (handle->referent & (FH_REF_FILE | FH_REF_INLINE));
+  Assert (handle->referent & (FH_REF_FILE | FH_REF_INLINE));
   return handle->tab_width;
 }
 
@@ -424,7 +426,7 @@
 struct scratch_handle *
 fh_get_scratch_handle (struct file_handle *handle) 
 {
-  assert (handle->referent == FH_REF_SCRATCH);
+  Assert (handle->referent == FH_REF_SCRATCH);
   return handle->sh;
 }
 
@@ -433,7 +435,7 @@
 void
 fh_set_scratch_handle (struct file_handle *handle, struct scratch_handle *sh)
 {
-  assert (handle->referent == FH_REF_SCRATCH);
+  Assert (handle->referent == FH_REF_SCRATCH);
   handle->sh = sh;
 }
 
@@ -448,7 +450,7 @@
 void
 fh_set_default_handle (struct file_handle *new_default_handle) 
 {
-  assert (new_default_handle == NULL
+  Assert (new_default_handle == NULL
           || (new_default_handle->referent & (FH_REF_INLINE | FH_REF_FILE)));
   default_handle = new_default_handle;
 }
Index: src/data/file-name.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/file-name.c,v
retrieving revision 1.5
diff -U3 -r1.5 file-name.c
--- src/data/file-name.c	9 Jun 2006 22:51:23 -0000	1.5
+++ src/data/file-name.c	4 Jul 2006 06:05:05 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 
 #include "file-name.h"
 
@@ -602,7 +603,7 @@
 FILE *
 fn_open (const char *fn, const char *mode)
 {
-  assert (mode[0] == 'r' || mode[0] == 'w');
+  Assert (mode[0] == 'r' || mode[0] == 'w');
 
   if (mode[0] == 'r' && (!strcmp (fn, "stdin") || !strcmp (fn, "-"))) 
     return stdin;
@@ -710,8 +711,8 @@
 fn_compare_file_identities (const struct file_identity *a,
                             const struct file_identity *b) 
 {
-  assert (a != NULL);
-  assert (b != NULL);
+  Assert (a != NULL);
+  Assert (b != NULL);
   if (a->device != b->device)
     return a->device < b->device ? -1 : 1;
   else
Index: src/data/format.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/format.c,v
retrieving revision 1.6
diff -U3 -r1.6 format.c
--- src/data/format.c	19 Jun 2006 10:16:51 -0000	1.6
+++ src/data/format.c	4 Jul 2006 06:05:05 -0000
@@ -18,6 +18,8 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
+
 #include "format.h"
 #include <ctype.h>
 #include <libpspp/message.h>
@@ -189,7 +191,7 @@
                       int type, bool emit_error) 
 {
   const struct fmt_desc *f = &formats[format->type];
-  assert (type == NUMERIC || type == ALPHA);
+  Assert (type == NUMERIC || type == ALPHA);
   if ((type == ALPHA) != ((f->cat & FCAT_STRING) != 0))
     {
       if (emit_error)
@@ -227,7 +229,7 @@
 void
 convert_fmt_ItoO (const struct fmt_spec *input, struct fmt_spec *output)
 {
-  assert (check_input_specifier (input, 0));
+  Assert (check_input_specifier (input, 0));
 
   output->type = formats[input->type].output;
   output->w = input->w;
@@ -258,7 +260,7 @@
     case FMT_PIBHEX:
       {
 	static const int map[] = {4, 6, 9, 11, 14, 16, 18, 21};
-	assert (input->w % 2 == 0 && input->w >= 2 && input->w <= 16);
+	Assert (input->w % 2 == 0 && input->w >= 2 && input->w <= 16);
 	output->w = map[input->w / 2 - 1];
 	break;
       }
@@ -280,7 +282,7 @@
     case FMT_CCC:
     case FMT_CCD:
     case FMT_CCE:
-      assert (0);
+      AssertNotReached ();
     case FMT_Z:
     case FMT_A:
       /* nothing is necessary */
@@ -314,10 +316,10 @@
       /* nothing is necessary */
       break;
     default:
-      assert (0);
+      AssertNotReached ();
     }
 
-  assert (check_output_specifier (output, 0));
+  Assert (check_output_specifier (output, 0));
 }
 
 /* Returns the width corresponding to the format specifier.  The
@@ -356,7 +358,7 @@
   f.type = type;
   f.w = w;
   f.d = d;
-  assert (check_input_specifier (&f, 0));
+  Assert (check_input_specifier (&f, 0));
   return f;
 }
 
@@ -369,7 +371,7 @@
   f.type = type;
   f.w = w;
   f.d = d;
-  assert (check_output_specifier (&f, 0));
+  Assert (check_output_specifier (&f, 0));
   return f;
 }
 
Index: src/data/identifier.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/identifier.c,v
retrieving revision 1.2
diff -U3 -r1.2 identifier.c
--- src/data/identifier.c	17 Mar 2006 04:58:25 -0000	1.2
+++ src/data/identifier.c	4 Jul 2006 06:05:05 -0000
@@ -26,7 +26,7 @@
 #include "identifier.h"
 
 
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <string.h>
 
 
@@ -86,7 +86,7 @@
 {
   size_t i = 0;
 
-  assert (kw && tok);
+  Assert (kw && tok);
   for (;;)
     {
       if (i == kw_len && i == tok_len)
Index: src/data/make-file.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/make-file.c,v
retrieving revision 1.6
diff -U3 -r1.6 make-file.c
--- src/data/make-file.c	17 Apr 2006 01:54:15 -0000	1.6
+++ src/data/make-file.c	4 Jul 2006 06:05:05 -0000
@@ -18,7 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <stdlib.h>
 #include <string.h>
 #include <errno.h>
@@ -44,8 +44,8 @@
 {
   const char *parent_dir;
 
-  assert (file_name != NULL);
-  assert (fd != NULL);
+  Assert (file_name != NULL);
+  Assert (fd != NULL);
 
   if (getenv ("TMPDIR") != NULL)
     parent_dir = getenv ("TMPDIR");
@@ -82,8 +82,8 @@
      Need also to pass in the directory instead of using /tmp 
   */
 
-  assert (file_name != NULL);
-  assert (fp != NULL);
+  Assert (file_name != NULL);
+  Assert (fp != NULL);
 
   if (getenv ("TMPDIR") != NULL)
     parent_dir = getenv ("TMPDIR");
Index: src/data/missing-values.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/missing-values.c,v
retrieving revision 1.2
diff -U3 -r1.2 missing-values.c
--- src/data/missing-values.c	15 Mar 2006 03:29:10 -0000	1.2
+++ src/data/missing-values.c	4 Jul 2006 06:05:05 -0000
@@ -19,7 +19,7 @@
 
 #include <config.h>
 #include "missing-values.h"
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <stdlib.h>
 #include <libpspp/str.h>
 
@@ -31,7 +31,7 @@
 void
 mv_init (struct missing_values *mv, int width) 
 {
-  assert (width >= 0 && width <= MAX_STRING);
+  Assert (width >= 0 && width <= MAX_STRING);
   mv->type = MV_NONE;
   mv->width = width;
 }
@@ -47,7 +47,7 @@
 void
 mv_copy (struct missing_values *mv, const struct missing_values *src) 
 {
-  assert(src);
+  Assert (src);
 
   *mv = *src;
 }
@@ -90,7 +90,7 @@
     case MV_RANGE_1:
       return false;
     }
-  abort ();
+  AssertNotReached ();
 }
 
 /* Attempts to add S to the set of string missing values MV.  S
@@ -101,7 +101,7 @@
 bool
 mv_add_str (struct missing_values *mv, const char s[]) 
 {
-  assert (mv->width > 0);
+  Assert (mv->width > 0);
   return mv_add_value (mv, (union value *) s);
 }
 
@@ -111,7 +111,7 @@
 bool
 mv_add_num (struct missing_values *mv, double d) 
 {
-  assert (mv->width == 0);
+  Assert (mv->width == 0);
   return mv_add_value (mv, (union value *) &d);
 }
 
@@ -121,7 +121,7 @@
 bool
 mv_add_num_range (struct missing_values *mv, double low, double high) 
 {
-  assert (mv->width == 0);
+  Assert (mv->width == 0);
   if (low > high)
     return false;
   switch (mv->type) 
@@ -139,7 +139,7 @@
     case MV_RANGE_1:
       return false;
     }
-  abort ();
+  AssertNotReached ();
 }
 
 /* Returns true if MV contains an individual value,
@@ -159,7 +159,7 @@
     case MV_RANGE:
       return false;
     }
-  abort ();
+  AssertNotReached ();
 }
 
 /* Removes one individual value from MV and stores it in *V.
@@ -168,7 +168,7 @@
 void
 mv_pop_value (struct missing_values *mv, union value *v) 
 {
-  assert (mv_has_value (mv));
+  Assert (mv_has_value (mv));
   mv->type--;
   *v = mv->values[mv->type & 3];
 }
@@ -181,18 +181,18 @@
 void
 mv_peek_value (const struct missing_values *mv, union value *v, int idx) 
 {
-  assert (idx >= 0 ) ;
-  assert (idx < 3);
+  Assert (idx >= 0 ) ;
+  Assert (idx < 3);
 
-  assert (mv_has_value (mv));
+  Assert (mv_has_value (mv));
   *v = mv->values[idx];
 }
 
 void 
 mv_replace_value (struct missing_values *mv, const union value *v, int idx)
 {
-  assert (idx >= 0) ;
-  assert (idx < mv_n_values(mv));
+  Assert (idx >= 0) ;
+  Assert (idx < mv_n_values(mv));
 
   mv->values[idx] = *v;
 }
@@ -202,7 +202,7 @@
 int  
 mv_n_values (const struct missing_values *mv)
 {
-  assert(mv_has_value(mv));
+  Assert (mv_has_value(mv));
   return mv->type & 3;
 }
 
@@ -224,7 +224,7 @@
     case MV_3:
       return false;
     }
-  abort ();
+  AssertNotReached ();
 }
 
 /* Removes the numeric range from MV and stores it in *LOW and
@@ -233,7 +233,7 @@
 void
 mv_pop_range (struct missing_values *mv, double *low, double *high) 
 {
-  assert (mv_has_range (mv));
+  Assert (mv_has_range (mv));
   *low = mv->values[1].f;
   *high = mv->values[2].f;
   mv->type &= 3;
@@ -246,7 +246,7 @@
 void
 mv_peek_range (const struct missing_values *mv, double *low, double *high) 
 {
-  assert (mv_has_range (mv));
+  Assert (mv_has_range (mv));
   *low = mv->values[1].f;
   *high = mv->values[2].f;
 }
@@ -258,7 +258,7 @@
 static bool
 using_element (unsigned type, int idx) 
 {
-  assert (idx >= 0 && idx < 3);
+  Assert (idx >= 0 && idx < 3);
   
   switch (type) 
     {
@@ -275,7 +275,7 @@
     case MV_RANGE_1:
       return true;
     }
-  abort ();
+  AssertNotReached ();
 }
 
 /* Returns true if S contains only spaces between indexes
@@ -286,7 +286,7 @@
 {
   int i;
 
-  assert (new_width < old_width);
+  Assert (new_width < old_width);
   for (i = new_width; i < old_width; i++)
     if (s[i] != ' ')
       return false;
@@ -304,7 +304,7 @@
 bool
 mv_is_resizable (struct missing_values *mv, int width) 
 {
-  assert ((width == 0) == (mv->width == 0));
+  Assert ((width == 0) == (mv->width == 0));
   if (width > MAX_SHORT_STRING && mv->type != MV_NONE)
     return false;
   else if (width >= mv->width)
@@ -326,7 +326,7 @@
 void
 mv_resize (struct missing_values *mv, int width) 
 {
-  assert (mv_is_resizable (mv, width));
+  Assert (mv_is_resizable (mv, width));
   if (width > mv->width) 
     {
       int i;
@@ -353,7 +353,7 @@
 bool
 mv_is_num_missing (const struct missing_values *mv, double d)
 {
-  assert (mv->width == 0);
+  Assert (mv->width == 0);
   return d == SYSMIS || mv_is_num_user_missing (mv, d);
 }
 
@@ -382,7 +382,7 @@
 mv_is_num_user_missing (const struct missing_values *mv, double d)
 {
   const union value *v = mv->values;
-  assert (mv->width == 0);
+  Assert (mv->width == 0);
   switch (mv->type) 
     {
     case MV_NONE:
@@ -398,7 +398,7 @@
     case MV_RANGE_1:
       return v[0].f == d || (v[1].f <= d && d <= v[2].f);
     }
-  abort ();
+  AssertNotReached ();
 }
 
 /* Returns true if S[] is a missing value in MV, false otherwise.
@@ -409,7 +409,7 @@
                         const char s[])
 {
   const union value *v = mv->values;
-  assert (mv->width > 0);
+  Assert (mv->width > 0);
   switch (mv->type) 
     {
     case MV_NONE:
@@ -425,9 +425,9 @@
               || !memcmp (v[2].s, s, mv->width));
     case MV_RANGE:
     case MV_RANGE_1:
-      abort ();
+      AssertNotReached ();
     }
-  abort ();
+  AssertNotReached ();
 }
 
 /* Returns true if MV is a set of numeric missing values and V is
Index: src/data/por-file-writer.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/por-file-writer.c,v
retrieving revision 1.4
diff -U3 -r1.4 por-file-writer.c
--- src/data/por-file-writer.c	17 Apr 2006 01:54:15 -0000	1.4
+++ src/data/por-file-writer.c	4 Jul 2006 06:05:05 -0000
@@ -18,6 +18,8 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
+
 #include "por-file-writer.h"
 #include <libpspp/message.h>
 #include <ctype.h>
@@ -176,7 +178,7 @@
   if (ferror (w->file))
     return;
 
-  assert (buf != NULL);
+  Assert (buf != NULL);
   while (nbytes + w->lc >= 80)
     {
       size_t n = 80 - w->lc;
@@ -495,7 +497,7 @@
   i = 0;
   for (power = 30.0L; power < DBL_MAX; power *= power)
     {
-      assert (i < sizeof pow_tab / sizeof *pow_tab);
+      Assert (i < sizeof pow_tab / sizeof *pow_tab);
       pow_tab[i++] = power;
     }
 }
@@ -507,8 +509,8 @@
   long double power;
   int i;
 
-  assert (exponent >= 0);
-  assert (exponent < 1L << (sizeof pow_tab / sizeof *pow_tab));
+  Assert (exponent >= 0);
+  Assert (exponent < 1L << (sizeof pow_tab / sizeof *pow_tab));
 
   power = 1.L;
   for (i = 0; exponent > 0; exponent >>= 1, i++)
@@ -533,7 +535,7 @@
 static int
 trig_to_char (int trig)
 {
-  assert (trig >= 0 && trig < 30);
+  Assert (trig >= 0 && trig < 30);
   return "0123456789ABCDEFGHIJKLMNOPQRST"[trig];
 }
 
@@ -609,7 +611,7 @@
 static bool
 should_round_up (const char trigs[], int trig_cnt)
 {
-  assert (trig_cnt > 0);
+  Assert (trig_cnt > 0);
 
   if (*trigs < BASE / 2)
     {
@@ -744,8 +746,8 @@
          truncated to the nearest integer.  The chunk fits in a
          long. */
       chunk = value;
-      assert (pow30 (CHUNK_SIZE) <= LONG_MAX);
-      assert (chunk >= 0 && chunk < pow30 (CHUNK_SIZE));
+      Assert (pow30 (CHUNK_SIZE) <= LONG_MAX);
+      Assert (chunk >= 0 && chunk < pow30 (CHUNK_SIZE));
 
       value -= chunk;
 
@@ -776,7 +778,7 @@
   /* Round to requested precision, conservatively estimating the
      required base-30 precision as 2/3 of the base-10 precision
      (log30(10) = .68). */
-  assert (base_10_precision > 0);
+  Assert (base_10_precision > 0);
   if (base_10_precision > LDBL_DIG)
     base_10_precision = LDBL_DIG;
   base_30_precision = DIV_RND_UP (base_10_precision * 2, 3);
